#ifndef JSNOTIFIABLE_H
#define JSNOTIFIABLE_H 1

#include "jsreflect.h"
#include "Notifications.h"

#include <string>


class JSNotifiable : public Notifiable, public JSReflection::Object {
    JS_EXPORTED_CLASS

protected:
    std::string onStatusChange;
    virtual void notified(Notifier * u);
    
    // Return true if the statut was modified since last update.
    virtual bool updateStatus();
    
public:
    JSNotifiable();
    virtual ~JSNotifiable();
    
    void checkStatusChange();
    
    void setOnStatusChange(const std::string & code);
    std::string getOnStatusChange() const;
};

#endif

