#ifndef PROCESSES_H
#define PROCESSES_H

class ChildProcess:public Notifier {
protected:
    int pid,ret;
    bool dettached;
    
    virtual bool suicide();
public:
    ChildProcess();
    virtual ~ChildProcess();

    // Start the child process. It will get registered
    int fork();
    
    int getReturnCode() const;
    
    // Delete this notifier
    void detach();
    
    static void installSigHandler();
    static void sigChld();
    static void maskSignal();
    static void unmaskSignal();
};
                                

#endif

