#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include <string.h>
#include <stdlib.h>
#include <string.h>
#include <stdarg.h>

#include "jsreflect.h"

static bool debug = false;

void jsr_output_log(const char * file,int lineno, const char * format, ...) {
    va_list arglist;
    if (debug) {
	fprintf(stderr,"%s:%d:",file,lineno);
	va_start(arglist,format);
	vfprintf(stderr,format,arglist);
    }
}


bool jsr_debug_enabled() {
    return debug;
}

