#ifndef JTIMER_H
#define JTIMER_H

#include "jsreflect.h"
#include "Timer.h"
#include <string>

class JTimer : public Timer,public JSReflection::Object {
    JS_EXPORTED_CLASS

protected:
    bool autorepeat;
    bool disposed;
    int autorepeat_itv;
    std::string js_code;
    long long lasttime;    
public:
    JTimer();
    virtual ~JTimer();
    
    void singleStep(int ms);
    void monotone(int ms);
    void dispose();
    
    void setCode(const std::string & val);
    std::string getCode() const;
    virtual void tick();
};

#endif
