#ifndef JWIDGET_CLASS_H
#define JWIDGET_CLASS_H 1

#include <string>
#include <map>
class WidgetClass;

class WidgetClass {
public:
    WidgetClass(const std::string & name);
    virtual ~WidgetClass();
    
    virtual Widget * createInstance(Widget * father) = 0;

    // Static stuffs
protected:
    static bool initialised;
public:
    static std::map<std::string,class WidgetClass *> classes;
    static void initialise();
};

#endif

