#ifndef THUMBPROVIDER_H
#define THUMBPROVIDER_H 1

#include "ImageFactory.h"
#include "Metadata.h"

class ThumbProvider: public ImageProvider, public ImageUser, public Notifiable {
protected:
    MetaUser meta;
    static void nextQueued();
    int sizex,sizey;
    virtual void run(TaskNotification * tn);
    virtual void notified(Notifier * n);
    
    virtual void reload();
    
public:
    ThumbProvider(std::string name,int sx,int sy);
    virtual ~ThumbProvider();
    
    void init();
};

#endif
